Skip to content

upsertSupplierQuote

WRITE

Upsert supplier quote.

POST /api/v1/purchasing/upsertSupplierQuote
curl -X POST '<your-host>/api/v1/purchasing/upsertSupplierQuote' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierQuoteType": "Purchase",
    "supplierId": "string",
    "supplierQuoteId": "string",
    "_operation": "create"
  }'
Response
{
  "id": "string",
  "supplierQuoteId": "string",
  "externalLinkId": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
"Purchase""Outside Processing"
"Draft""Active""Expired""Declined""Cancelled"

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierQuoteType": {
      "type": "string",
      "enum": [
        "Purchase",
        "Outside Processing"
      ]
    },
    "supplierId": {
      "type": "string",
      "minLength": 1
    },
    "supplierLocationId": {
      "type": "string"
    },
    "supplierContactId": {
      "type": "string"
    },
    "supplierReference": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Active",
        "Expired",
        "Declined",
        "Cancelled"
      ]
    },
    "notes": {},
    "quotedDate": {
      "type": "string"
    },
    "expirationDate": {
      "type": "string"
    },
    "currencyCode": {
      "type": "string"
    },
    "exchangeRate": {
      "type": "number"
    },
    "exchangeRateUpdatedAt": {
      "type": "string"
    },
    "supplierQuoteId": {
      "type": "string"
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "supplierQuoteType",
    "supplierId",
    "supplierQuoteId",
    "_operation"
  ]
}